__version__=0.1

import BannerClass

def initialize(context):
	try:
		"""Try to register the product."""
		context.registerBaseClass(BannerClass.banner,'Banner Base Class')
		context.registerBaseClass(BannerClass.BannerManager,'Banner Manager Base Class')
	except:
		"""If you can't register the product, tell someone.
		Zope will sometimes provide you with access to "broken product" and
		a backtrace of what went wrong, but not always; I think that only
		works for errors caught in your main product module.
		This code provides traceback for anything that happened in
		registerClass(), assuming you're running Zope in debug mode."""
		import sys, traceback, string
		type, val, tb = sys.exc_info()
		sys.stderr.write(string.join(traceback.format_exception(type, val, tb), ''))
		del type, val, tb



