__doc__="""Banner Ad Classes"""
__version__=0.1

from Globals import HTMLFile 
from Globals import MessageDialog 
from Globals import Persistent
import OFS.Image
import OFS.ObjectManager
import Acquisition                # Various acquisition types. 
import AccessControl.Role         # Zope Security management. 
import string


class banner:
	" A Banner Ad Class"

	meta_type="Banner Ad Base Class"

	def show(self):
		""" Show the Banner """
		self.propertysheets.ad_info.manage_changeProperties ({
						'views': self.views + 1,
						})
		self.propertysheets.ad_info.manage_changeProperties ({
						'remaining_views':self.remaining_views  -1
						})
		if self.local==1:
			href='<a href="%s"><img src="%s" border=0></a>' % (self.target,self.absolute_url())
			return href
		else:
			return self.link_code

	def test(self):
		if self.local==1:
			href='<a href="%s"><img src="%s" border=0></a>' % (self.target,self.absolute_url())
			return href
		else:
			return self.link_code





class BannerManager:
	"""  A Banner Manager type of Object"""
	
	meta_type="Banner Manager Base Class"

	def render(self):
		import whrandom
		BannerList=[]
		try:
			for item in self.objectValues('Banner Ad'):
				if item.remaining_views > 0:
					for x in xrange(item.weight):
						BannerList.append(item)
			AD=whrandom.choice(BannerList)
			return AD.show()
		except IndexError:
			return "<!-- %s has no viewable banners! -->" % self.id

	
	def get_banner(self):
		import whrandom
		BannerList=[]
		try:
			for item in self.objectValues('Banner Ad'):
				if item.remaining_views > 0:
					for x in xrange(item.weight):
						BannerList.append(item)
			AD=whrandom.choice(BannerList)
			return AD.show()
		except IndexError:
			return "<!-- %s has no viewable banners! -->" % self.id

